Skip to main content
`Ctrl`+`K`

# DMGetCoarseDM

Get the coarse `DM`from which this `DM` was obtained by refinement

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetCoarseDM(DM dm, DM *cdm)

Not Collective

## Input Parameter

- dm - The `DM` object

## Output Parameter

- cdm - The coarse `DM`

## See Also

DM Basics, `DM`, `DMSetCoarseDM()`, `DMCoarsen()`

## Level

intermediate

## Location

src/dm/interface/dm.c

## Examples

src/snes/tutorials/ex64.c
src/snes/tutorials/ex11.c
src/snes/tutorials/ex12.c
src/snes/tutorials/ex20.c
src/snes/tutorials/ex23.c
src/ksp/ksp/tutorials/ex73.c
src/snes/tutorials/ex63.c
src/snes/tutorials/ex13.c
src/snes/tutorials/ex24.c
src/snes/tutorials/ex17.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages